Subject: RE: [Monami6] Acceptdraft-wakikawa-mobileip-multiplecoa-04.txtasMonami6 WG Document

From: "Soliman, Hesham" <[email-masked]>
Date: Thu, 3 Nov 2005 13:32:48 -0500

> > => I think I skipped a couple of steps. I assumed that we can 
 > > do this with one BU. Based on that assumption, you could 
 > > send all CoAs in one BU to replace the existing ones. 
 > > I know that this is not how the draft works but this was my
 > > way of doing it. 
 > 
 > The replace/add management has disadvantages.
 > If there are many care-of addresses, single BU becomes
 > overhead. (Vidya also commented) 
 > Large packet size should be avoided in wireless link (for no L2
 > retransmission), especially if the link is unstable.

=> Overhead depends on the scenario. The argument above is valid
but you can also argue that this will be less overhead than sending
a separate message for each address. It depends on how frequently
you move ...etc.

 > 
 > If 4 addresses in BU and 2 of the addresses are invalid, it is
 > troublesome to reply BA status for the two addresses.  For example,
 > the status value: 128,129,130,and 137 are possible status per CoA.

=> I don't think it's that bad, you can add a specific response code 
for each address if you want. See the traversal draft for a similar case.

 > > BTW, my initial comment was about the usefulness of this draft
 > > on its own. Could you shed some light on that? Why is this 
 > > useful/needed?
 > 
 > I believe this is written in the draft:-)
 > some texts from the draft.
 > 
 >    However, according to section 11.5.3 of the Mobile IPv6 
 > specification
 >    [5], a mobile node is not allowed to register multiple care-of
 >    addresses bound to a single home address.  If a mobile node sends
 >    Binding Updates for each care-of address, correspondent 
 > nodes would
 >    always overwrite the care-of address recorded in the binding cache
 >    with the one contained in the latest received binding update.  It
 >    is thus impossible for a mobile node to register multiple care-of
 >    addresses in the correspondent node's binding cache.

=> So far this is describing how MIPv6 works.

 > 
 >    A user of a mobile node may be able to bind some policies 
 > to a BID.
 >    The policy is used to divide flows to multiple network interfaces
 >    by flow type, port number, or destination address, etc.  How to
 >    distribute or configure policies is not within the scope of this
 >    document.

=> Right, this goes to my question. Without policies, this is not 
useful. At the same time, all the drafts that wanted to add policies
did it in the most appropriate way for their specific applications. 
Examples are bicastng, flow movement drafts ...etc. So , my question
is, where does this draft fit?

Hesham

 > 
 > hope it helps.
 > 
 > regards,
 > ryuji
 > 
 > > Hesham
 > > 
 > > ===========================================================
 > > This email may contain confidential and privileged 
 > material for the sole use
 > >  of the intended recipient.  Any review or distribution by 
 > others is strictly
 > >  prohibited.  If you are not the intended recipient please 
 > contact the sender
 > >  and delete all copies.
 > > ===========================================================
 > > 
 > 

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 03 Nov 2005 12:05:42 -0800

Soliman, Hesham wrote:

> useful. 

I have to disagree. we need a simple extension to MIPv6 that allows
multiple CoAs per home address. this draft fits the problem perfectly.

At the same time, all the drafts that wanted to add policies
> is, where does this draft fit?

you should build upon the base draft (that allows multiple CoAs).
bicasting, flow movement draft, etc.. can have their own mechanism
to setup policies, but the extensions to support multiple CoAs in
the binding updates and binding cache should be in just one
specification. here I am not necessarily talking about
draft-wakikawa-mobileip-multiplecoa-04.txt. we need a base spec
that specifies the extensions.

Vijay